Bug 1038773 (caja) - Review Request: caja - File manager for MATE desktop
Summary: Review Request: caja - File manager for MATE desktop
Status: CLOSED ERRATA
Alias: caja
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: engrampa atril 1086149
TreeView+ depends on / blocked
 
Reported: 2013-12-05 19:34 UTC by Wolfgang Ulbrich
Modified: 2014-09-28 20:02 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-28 20:02:49 UTC
leigh123linux: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Suggestion for an improved spec-file (14.93 KB, text/x-rpm-spec)
2013-12-16 15:09 UTC, Björn 'besser82' Esser
no flags Details

Description Wolfgang Ulbrich 2013-12-05 19:34:08 UTC
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/caja.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/caja-1.7.1-0.1.git0ef48fab.fc21.src.rpm
Description: Caja (mate-file-manager) is the file manager and graphical shell
for the MATE desktop,
that makes it easy to manage your files and the rest of your system.
It allows to browse directories on local and remote file systems, preview
files and launch applications associated with them.
It is also responsible for handling the icons on the MATE desktop.
Fedora Account System Username: raveit65

Comment 1 Wolfgang Ulbrich 2013-12-05 19:39:42 UTC
This is a re-review request for a package rename.
Old packackage name is mate-file-manager.
Note, this affect only rawhide, f18/19/20 will use mate-file-manager-1.6.x until there EOL.

Comment 2 leigh scott 2013-12-05 22:28:09 UTC
Here's your todo list

$ rpmlint caja*rpm
caja.src: W: strange-permission caja-autostart 0775L
caja.src:16: W: macro-in-comment %{name}
caja.src:16: W: macro-in-comment %{version}
caja.src:54: W: unversioned-explicit-obsoletes mate-file-manager
caja.src:69: W: unversioned-explicit-obsoletes mate-file-manager-extensions
caja.src:79: W: unversioned-explicit-obsoletes mate-file-manager-schemas
caja.src:89: W: unversioned-explicit-obsoletes mate-file-manager-devel
caja.src:97: W: macro-in-comment %setup
caja.src:103: W: macro-in-comment %patch0
caja.src:207: W: macro-in-comment %doc
caja.src:207: W: macro-in-comment %{_datadir}
caja.src:141: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 141)
caja.x86_64: W: obsolete-not-provided mate-file-manager
caja.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/caja-autostart.desktop
caja.x86_64: W: no-manual-page-for-binary caja-autostart
caja-devel.x86_64: W: obsolete-not-provided mate-file-manager-devel
caja-devel.x86_64: W: no-documentation
caja-extensions.x86_64: W: obsolete-not-provided mate-file-manager-extensions
caja-extensions.x86_64: W: no-documentation
caja-extensions.x86_64: E: library-without-ldconfig-postin /usr/lib64/libcaja-extension.so.1.4.0
caja-extensions.x86_64: E: library-without-ldconfig-postun /usr/lib64/libcaja-extension.so.1.4.0
caja-schemas.x86_64: W: spelling-error %description -l en_US gsettings -> settings, g settings, insetting
caja-schemas.x86_64: W: obsolete-not-provided mate-file-manager-schemas
caja-schemas.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 2 errors, 22 warnings.



1. Please fix all the macro-in-comment warnings
2. add ldconfig scriptlets for the extension subpackage
3. also sort out the use of mixed-use-of-spaces-and-tabs
4. please add provides for the obsoleted packages

Comment 3 Wolfgang Ulbrich 2013-12-06 17:06:10 UTC
Thanks Leigh for your hints.
New build:
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/caja.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/caja-1.7.1-0.2.git0ef48fab.fc21.src.rpm

* Fri Dec 06 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.1-0.2.git0ef48fab
- fix all the macro-in-comment warnings
- add ldconfig scriptlets for the extension subpackage
- add versioned provides for the obsoleted packages
- remove licence tags from subpackages
- remove group tags from subpackages
- fix permission for caja-autostart script

Comment 4 Wolfgang Ulbrich 2013-12-08 22:53:58 UTC
New build:
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/caja.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/caja-1.7.1-0.3.git0ef48fab.fc21.src.rpm

* Sun Dec 08 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.1-0.3.git0ef48fab
- fix usage of %%{buildroot}
- use desktop-database rpm scriptlet instead of mimeinfo scriptlet

Dan, fedora-review-tool runs in a rawhide VM.

Comment 5 Wolfgang Ulbrich 2013-12-08 23:31:31 UTC
New build:
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/caja.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/caja-1.7.1-0.4.git0ef48fab.fc21.src.rpm

* Sun Dec 08 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.1-0.4.git0ef48fab
- add mimeinfo rpm scriplets again

Comment 6 leigh scott 2013-12-13 18:46:57 UTC
Approved



This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "*No copyright* LGPL (v2 or later)",
     "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated". 19
     files have unknown license. Detailed output of licensecheck in
     /home/leigh/1038773-caja/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/glib-2.0/schemas,
     /usr/share/glib-2.0
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in caja-schemas
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in caja
[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in caja
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 6 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in caja-
     schemas
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[ ]: update-mime-database is invoked in %post and %postun if package stores
     mime configuration in /usr/share/mime/packages.
     Note: mimeinfo files in: caja
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 14469120 bytes in /usr/share caja-
     schemas-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm:13475840
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: caja-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
          caja-extensions-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
          caja-schemas-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
          caja-devel-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
          caja-1.7.1-0.4.git0ef48fab.fc21.src.rpm
caja.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/caja-autostart.desktop
caja.x86_64: W: no-manual-page-for-binary caja-autostart
caja-extensions.x86_64: W: no-documentation
caja-schemas.x86_64: W: spelling-error %description -l en_US gsettings -> settings, g settings, insetting
caja-schemas.x86_64: W: no-documentation
caja-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint caja-devel caja-extensions caja caja-schemas
caja-devel.x86_64: W: no-documentation
caja-extensions.x86_64: W: no-documentation
caja.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/caja-autostart.desktop
caja.x86_64: W: no-manual-page-for-binary caja-autostart
caja-schemas.x86_64: W: spelling-error %description -l en_US gsettings -> settings, g settings, insetting
caja-schemas.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
caja-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    caja(x86-64)
    libcaja-extension.so.1()(64bit)
    pkgconfig(gio-2.0)
    pkgconfig(glib-2.0)
    pkgconfig(gtk+-2.0)

caja-extensions (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    caja(x86-64)
    libc.so.6()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    rtld(GNU_HASH)

caja (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    caja-extensions(x86-64)
    caja-schemas(x86-64)
    filesystem
    gamin
    gvfs
    libICE.so.6()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXrender.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcaja-extension.so.1()(64bit)
    libdconf.so.1()(64bit)
    libexempi.so.3()(64bit)
    libexif.so.12()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgailutil.so.18()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libmate-desktop-2.so.17()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libselinux.so.1()(64bit)
    libstartup-notification-1.so.0()(64bit)
    libunique-1.0.so.0()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    libxml2.so.2(LIBXML2_2.6.23)(64bit)
    libxml2.so.2(LIBXML2_2.6.8)(64bit)
    redhat-menus
    rtld(GNU_HASH)

caja-schemas (rpmlib, GLIBC filtered):
    /bin/sh



Provides
--------
caja-devel:
    caja-devel
    caja-devel(x86-64)
    mate-file-manager-devel(x86-64)
    pkgconfig(libcaja-extension)

caja-extensions:
    caja-extensions
    caja-extensions(x86-64)
    libcaja-extension.so.1()(64bit)
    mate-file-manager-extensions(x86-64)

caja:
    application()
    application(caja-autorun-software.desktop)
    application(caja-browser.desktop)
    application(caja-computer.desktop)
    application(caja-file-management-properties.desktop)
    application(caja-folder-handler.desktop)
    application(caja-home.desktop)
    application(caja.desktop)
    application(mate-network-scheme.desktop)
    caja
    caja(x86-64)
    mate-file-manager(x86-64)
    mimehandler(application/x-mate-saved-search)
    mimehandler(inode/directory)
    mimehandler(x-content/software)

caja-schemas:
    caja-schemas
    caja-schemas(x86-64)
    mate-file-manager-schemas(x86-64)



Source checksums
----------------
http://raveit65.fedorapeople.org/Mate/git-upstream/caja-1.7.1.git0ef48fab.tar.xz :
  CHECKSUM(SHA256) this package     : 51c59c4983012c6088a16d0b3b09497e243efd4da90f21613b254a5d73aedb98
  CHECKSUM(SHA256) upstream package : 51c59c4983012c6088a16d0b3b09497e243efd4da90f21613b254a5d73aedb98


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1038773
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 7 Wolfgang Ulbrich 2013-12-13 19:15:42 UTC
New Package SCM Request
=======================
Package Name: caja
Short Description: File manager for MATE desktop
Owners: raveit65 vicodan
Branches: 
InitialCC: 


Note: branch is empty because other branches than rawhide will use old package name until releases are EOL.

Comment 8 Björn 'besser82' Esser 2013-12-16 15:09:31 UTC
Created attachment 837258 [details]
Suggestion for an improved spec-file

This is out of scope for a review, but since I know Wolfgang always wants to learn new stuff, I just toss in my 0,02 €.  :-P

Looking on your spec-file, I cannot understand why you make your maintainer's life unnecessialy hard.  ;)

There is no need for manually downloading, renaming and reuploading the source-tarball, e.g.

I attached you a nice possible solution for building release and snapshot pkgs from the same spec, with just editing one single line (and the commit-sha / commit-date, release on updatess of course).  :D


In scope of this review is following:

I found you are tossing in Obsoletes / Proviedes without conditionals to drop them after a few releases.  The needed mods a in the attached spec-file, too.

Comment 9 Wolfgang Ulbrich 2013-12-16 15:14:55 UTC
New Package SCM Request
=======================
Package Name: caja
Short Description: File manager for MATE desktop
Owners: raveit65 vicodan
Branches: 
InitialCC: 


Note: branch is empty because other branches than rawhide will use old package name until releases are EOL.

Comment 10 Gwyn Ciesla 2013-12-16 16:43:43 UTC
Git done (by process-git-requests).

Comment 11 Wolfgang Ulbrich 2014-07-26 14:07:34 UTC
New Package SCM Request
=======================
Package Name: caja
Short Description: File manager for MATE desktop
Owners: raveit65 vicodan
Branches: f20
InitialCC:

Comment 12 Wolfgang Ulbrich 2014-07-26 14:13:42 UTC
Opps, sorry.....

Package Change Request
======================
Package Name: caja
New Branches: f20
Owners: raveit65 vicodan
InitialCC:

Comment 13 Kevin Fenzi 2014-07-26 21:29:50 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.